:root {
    --primary-accent-color: #FF2ECC;
    --primary-gradient: linear-gradient(180deg, var(--primary-accent-color) 0%, #E929BA 33%, #D423A9 66%, #BE1E97 100%);
    --primary-gradient-semitransparent: linear-gradient(180deg, #FF2ECC50 0%, #E929BA50 33%, #D423A950 66%, #BE1E9750 100%);
    --secondary-accent-color: #00E5FF;
    --secondary-gradient: linear-gradient(180deg, var(--secondary-accent-color) 0%, #00CEE6 33%, #00BCD2 66%, #00A6B9 100%);
    --color-body-text: #FFFFFF;
    --primary-button-font-color: #FFFFFF;
    --secondary-button-font-color: #FFFFFF;
    --bg-tier-1: #08091C;
    --bg-tier-1-gradient: linear-gradient(180deg, #0C0E28 0%, #0A0C23 33%, #090A20 66%, var(--bg-tier-1) 100%);
    --bg-tier-2: #101232;
    --bg-tier-2-gradient: linear-gradient(180deg, var(--bg-tier-2) 0%, var(--bg-tier-2) 100%);
    --bg-tier-3: #1F234C;
    --bg-tier-3-gradient: linear-gradient(180deg, var(--bg-tier-3) 0%, var(--bg-tier-3) 100%);
    --footer-text-color: var(--color-body-text);
    --footer-background-color: #000;
    --error-gradient: linear-gradient(180deg, #FF003C 0%, #ED0037 33%, #DE0034 66%, #D10031 100%);
    --link-color: #00E5FF;
    --button-border-width: 2px;
    --color-footer-nav-bg: var(--bg-tier-3-gradient);
    /* No real color codes (i.e. #FFFFFF) should be used beyond this point. Only refer to variables. */
    --color-category-selected-bg: var(--footer-background-color);
    --color-bg: var(--bg-tier-2-gradient);
    --checkbox-bg-color: var(--bg-tier-3);
    --checked-checkbox-bg-color: var(--primary-gradient);
    --color-primary-button-bg: var(--primary-gradient);
    --color-secondary-button-bg: var(--secondary-gradient);
    --color-header-bg: var(--bg-tier-3-gradient);
    --color-landing-nopurchase-bg: var(--bg-tier-2-gradient);
    --color-footer-nav-bg: var(--bg-tier-3-gradient);
    --color-login-block-bg: var(--bg-tier-2-gradient);
    --login-input-border-width: 0;
    --color-login-input-border: transparent;
    --color-login-input: var(--bg-tier-3);
    --color-login-bg: var(--bg-tier-1-gradient);
    --color-signup-input-border: transparent;
    --color-signup-input-bg: var(--bg-tier-3);
    --modal-verification-input-bg-color: var(--bg-tier-1);
    --signup-input-border-width: 0;
    --color-current-loyalty-level-bg: var(--primary-accent-color);
    --color-profile-input-bg: var(--bg-tier-3-gradient);
    --color-app-header-bg: var(--bg-tier-2);
    --color-sidebar-bg: var(--bg-tier-2);
    --color-menu-body-bg: var(--bg-tier-2-gradient);
    --color-header-items-bg: var(--bg-tier-1);
    --color-category-border: var(--primary-accent-color);
    --arrow-color: var(--primary-accent-color);
    /*font*/
    --heading-font: 'Neon 80s';
    --body-font: "Poppins", sans-serif;
    --font-numbers: var(--body-font); /* Updated */
    --body-font-weight: 400;
    --color-category-font-weight: 600;
    --font-main-buttons-fw: 400;
    --font-primary: var(--heading-font);
    --font-secondary: var(--body-font);
    --font-numbers-font: inherit;
    --text-font-family: var(--body-font);
    --lending-page-text-ff: var(--body-font);
    --text-promotion-font-family: var(--body-font);
    --font-family-nexa: var(--font-primary);
    --mobile-nav-font-family: var(--font-primary);
    --subtitle-font: var(--heading-font);
    --mobile-nav-font-size: var(--text-xs);
    --text-font-family: var(--body-font);
    --subtitle-font: var(--body-font);
    --tracking-1: -1px;
    --color-level-progress-bg-start: var(--color-body-text);
    --color-level-progress-bg-end: var(--primary-accent-color);
    --color-footer-nav-balance-bg: #0D182F;
    --color-footer-nav-balance-text: #F8CB46;
    --footer-button-border-color: var(--color-body-text);
    --font-weight-black: 400;
    --redeem-holdings-bg-color: var(--primary-gradient);
    /*login*/
    --color-login-border: transparent;
    --width-login-border: 0;
    /*checkbox*/
    --checkbox-bg-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='14' viewBox='0 0 18 14' fill='none'%3E%3Cpath d='M1.39844 7.00002L6.29844 11.9L16.0984 1.40002' stroke='%2312153A' stroke-width='2.8' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    --file-wrapper-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='37' height='33' viewBox='0 0 37 33' fill='none'%3E%3Cpath d='M31 32.4762C33.8535 32.4762 36.1667 30.0528 36.1667 27.0635V18.9444C36.1667 15.9551 33.8535 13.5317 31 13.5317H5.16667C2.3132 13.5317 0 15.9551 0 18.9444V27.0635C0 30.0528 2.3132 32.4762 5.16667 32.4762H31Z' fill='%23FF2ECC'/%3E%3Cpath d='M0 12.8928V5.4127C0 2.42335 2.3132 0 5.16667 0H14.4299C15.4577 0 16.4433 0.427698 17.17 1.18901L20.8234 5.01636C21.0656 5.27013 21.3941 5.4127 21.7367 5.4127H31C33.8535 5.4127 36.1667 7.83605 36.1667 10.8254V12.8928C34.7955 11.6071 32.9849 10.8254 31 10.8254H5.16667C3.18175 10.8254 1.37112 11.6071 0 12.8928Z' fill='%23FF2ECC'/%3E%3C/svg%3E");
    --form-check-input-bg: var(--primary-gradient-semitransparent);
    /* Unverified button */
    --unverified-button-color: var(--primary-accent-color);
    --unverified-button-bg: var(--bg-tier-1-gradient);
    --unverified-button-bd-color: var(--primary-accent-color);
    /* Verified button */
    --verified-button-color: var(--bg-tier-1);
    --verified-button-bg: var(--secondary-gradient);
    /*Redeem*/
    --redeem-barrier-bg: var(--bg-tier-2);
    /*Promotions*/
    --color-promotions-card-gc: var(--primary-accent-color);
    --color-promotions-card-gc-border: var(--primary-accent-color);
    --color-promotions-card-gc-bg: var(--bg-tier-1);
    /*logged out*/
    --section-title-color: var(--primary-gradient);
    --color-icon: var(--primary-accent-color);
    --coin-store-card-border-width: 0;
    --coin-card-letter-spacing: 0;
    --category-link-border-width: 1.6px;
    --category-link-padding: 2px 10px;
    --color-buttons-text-color: var(--primary-button-font-color);
    --signup-filled-strength-bar-color: var(--primary-gradient);
    --landing-top-pick-background: var(--bg-tier-2-gradient);
    --landing-feedback-nested-background: var(--bg-tier-2-gradient);
}

.side-menu__logo {
    height: calc(var(--spacing)*32);
}

input[type=checkbox] {
    box-shadow: var(--shadow-primary-bottom-sm); 
}

.primary-button, .secondary-button, .shop-button, .error-badge, .redeem__details, .secondary-badge, .primary-badge {
    text-shadow: var(--shadow-primary-bottom-md);
}

.landing-hero__title-line-2 .lh-1 {
    line-height: var(--text-line-height-110) !important;
}

.landing-hero__title-line-2 .lh-4, .landing-usp__item-title {
    background: var(--secondary-gradient);
    background-clip: text;
    color: transparent !important;
    text-shadow: none;
    line-height: var(--text-line-height-110) !important;
}

.landing-hero__title, .landing-hero__title-line-2 {
    font-weight: 400 !important;
}

.landing-hero__subtitle {
    font-family: var(--heading-font);
    line-height: 1;
    font-size: var(--text-xl-plus);
}

    .landing-hero__subtitle.line-2 {
        background: var(--secondary-gradient);
        background-clip: text;
        color: transparent;
        text-shadow: none;
    }

.landing-provider, .lobby__main {
    background: var(--bg-tier-1-gradient);
}

.landing-usp, .landing-coins {
    background: var(--bg-tier-2-gradient);
}

.sign-up__link {
    color: var(--link-color) !important;
}

.side-menu__nav-link:hover {
    color: var(--primary-accent-color) !important;
}

.balance__checkbox {
    border: 2px solid var(--primary-accent-color);
    border-radius: 10px;
}

.loyalty__progress-bar {
    padding-top: 25px;
    padding-bottom: 15px;
}

.landing-top-pick__cta {
    font-size: 40px;
}

/*mobile*/
@media (max-width: 1024px) {
    .landing-top-pick__cta {
        font-size: 20px;
    }

    .landing-games__no-purchases-title {
        background: var(--secondary-gradient);
        background-clip: text;
    }
}

.refer-a-friend__copy-button {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.refer-a-friend__link-input {
    background: var(--bg-tier-1-gradient);
}

.side-menu__user-profile {
    background: var(--bg-tier-1-gradient);
}

.app-header__loyalty {
    display: flex;
}

.landing-top-pick__title.line-1 {
    background: linear-gradient(180deg, var(--color-body-text) 0%, var(--color-body-text) 100%);
    background-clip: text;
    font-size: var(--text-3xl);
}

.landing-top-pick__title.line-2 {
    background: var(--secondary-gradient);
    background-clip: text;
    font-size: var(--text-4xl);
}


.main-lobby__category-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: calc(var(--spacing) * 2);
    padding: var(--category-link-padding);
    border-radius: 5px;
    border: var(--category-link-border-width) solid var(--primary-accent-color);
    font-size: var(--text-lg);
    font-weight: inherit;
    line-height: inherit;
    letter-spacing: var(--tracking-1);
    text-decoration: none;
    cursor: pointer;
    transition: all 0.2s ease;
}

.side-menu__user-profile {
    border-radius: 10px !important;
    padding-bottom: 0px;
}

.footer-nav__shop-button__label {
    color: var(--primary-button-font-color) !important;
}

.side-menu__nav-link {
    letter-spacing: 0;
}

.alt-login__section {
    background: var(--bg-tier-3-gradient);
}

.coin-store__badge, .coin-store__badge-lg {
    border-color: var(--primary-accent-color);
    color: var(--primary-accent-color);
}

.promotion-page__card-title {
    font-weight: 400;
}

.promotion-page__card-button {
    font-size: var(--text-md);
    font-weight: var(--font-weight-semibold);
}

.shop-button {
    background: var(--img-shop-button)#d3d3d3 50%/contain repeat-x;
}
